Multiple vulnerabilities in Centreon



Published: 2022-10-10
Risk Low
Patch available YES
Number of vulnerabilities 6
CVE-ID CVE-2022-42426
CVE-2022-42427
CVE-2022-42429
CVE-2022-42424
CVE-2022-42425
CVE-2022-42428
CWE-ID CWE-89
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Centreon
Web applications / Remote management & hosting panels

Vendor Centreon

Security Bulletin

This security bulletin contains information about 6 vulnerabilities.

1) SQL injection

EUVDB-ID: #VU68086

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-42426

CWE-ID: CWE-89 - Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Exploit availability: No

Description

The vulnerability allows a remote user to execute arbitrary SQL queries in database.

The vulnerability exists due to insufficient sanitization of user-supplied data within the requests to modify poller broker configuration. A remote administrator can send a specially crafted request to the affected application and execute arbitrary SQL commands within the application database.

Successful exploitation of this vulnerability may allow a remote attacker to read, delete, modify data in database and gain complete control over the affected application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Centreon: 21.04.0 - 21.04.18, 21.10.0 - 21.10.10, 22.04.0 - 22.04.5


CPE2.3 External links

http://www.zerodayinitiative.com/advisories/ZDI-22-1397/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) SQL injection

EUVDB-ID: #VU68091

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-42427

CWE-ID: CWE-89 - Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Exploit availability: No

Description

The vulnerability allows a remote user to execute arbitrary SQL queries in database.

The vulnerability exists due to insufficient sanitization of user-supplied data within the contact groups configuration page. A remote administrator can send a specially crafted request to the affected application and execute arbitrary SQL commands within the application database.

Successful exploitation of this vulnerability may allow a remote attacker to read, delete, modify data in database and gain complete control over the affected application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Centreon: 21.04.0 - 21.04.18, 21.10.0 - 21.10.10, 22.04.0 - 22.04.5


CPE2.3 External links

http://www.zerodayinitiative.com/advisories/ZDI-22-1398/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

3) SQL injection

EUVDB-ID: #VU68090

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-42429

CWE-ID: CWE-89 - Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Exploit availability: No

Description

The vulnerability allows a remote user to execute arbitrary SQL queries in database.

The vulnerability exists due to insufficient sanitization of user-supplied data within the requests to modify poller broker configuration. A remote administrator can send a specially crafted request to the affected application and execute arbitrary SQL commands within the application database.

Successful exploitation of this vulnerability may allow a remote attacker to read, delete, modify data in database and gain complete control over the affected application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Centreon: 21.04.0 - 21.04.18, 21.10.0 - 21.10.10


CPE2.3 External links

http://www.zerodayinitiative.com/advisories/ZDI-22-1394/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

4) SQL injection

EUVDB-ID: #VU68089

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-42424

CWE-ID: CWE-89 - Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Exploit availability: No

Description

The vulnerability allows a remote user to execute arbitrary SQL queries in database.

The vulnerability exists due to insufficient sanitization of user-supplied data within the requests to modify poller broker configuration. A remote administrator can send a specially crafted request to the affected application and execute arbitrary SQL commands within the application database.

Successful exploitation of this vulnerability may allow a remote attacker to read, delete, modify data in database and gain complete control over the affected application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Centreon: 21.04.0 - 21.04.18, 21.10.0 - 21.10.10, 22.04.0 - 22.04.5


CPE2.3 External links

http://www.zerodayinitiative.com/advisories/ZDI-22-1395/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

5) SQL injection

EUVDB-ID: #VU68088

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-42425

CWE-ID: CWE-89 - Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Exploit availability: No

Description

The vulnerability allows a remote user to execute arbitrary SQL queries in database.

The vulnerability exists due to insufficient sanitization of user-supplied data within the requests to modify poller broker configuration. A remote administrator can send a specially crafted request to the affected application and execute arbitrary SQL commands within the application database.

Successful exploitation of this vulnerability may allow a remote attacker to read, delete, modify data in database and gain complete control over the affected application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Centreon: 21.04.0 - 21.04.18, 21.10.0 - 21.10.10, 22.04.0 - 22.04.5


CPE2.3 External links

http://www.zerodayinitiative.com/advisories/ZDI-22-1396/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

6) SQL injection

EUVDB-ID: #VU68087

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-42428

CWE-ID: CWE-89 - Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Exploit availability: No

Description

The vulnerability allows a remote user to execute arbitrary SQL queries in database.

The vulnerability exists due to insufficient sanitization of user-supplied data within the requests to modify poller broker configuration. A remote administrator can send a specially crafted request to the affected application and execute arbitrary SQL commands within the application database.

Successful exploitation of this vulnerability may allow a remote attacker to read, delete, modify data in database and gain complete control over the affected application.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Centreon: 21.04.0 - 21.04.18, 21.10.0 - 21.10.10, 22.04.0 - 22.04.5


CPE2.3 External links

http://www.zerodayinitiative.com/advisories/ZDI-22-1399/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###